﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="HighlightFeaturesWhileHovering.aspx.cs"
    Inherits="CSSamples.HighlightFeaturesWhileHovering" %>

<%@ Register Assembly="WebEdition" Namespace="ThinkGeo.MapSuite.WebEdition" TagPrefix="cc1" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
    <link href="~/theme/default/samplepic/style.css" rel="stylesheet" type="text/css" />
    <title>Highlight a Feature While Hovering</title>
    <script language="javascript" type="text/javascript">
        OnMapCreated = function (map) {
            var highlightLayer = map.getLayer("HighlightOverlay");
            if (highlightLayer != null) {
                highlightLayer.events.register("featureselected", map, function (e) {
                    var map = this;
                    // get the hightlightlayer here
                    var highlightLayer = e.feature.layer;
                    // get the feature you are hovering on
                    var hoveredFeature = e.feature;

                    // maybe do a ICallback here to request the popup information. just like the code like below:
                    var popupInfo = "Request from a Callback or something else";
                    map.popups[0].lonlat = e.feature.geometry.bounds.getCenterLonLat(); // place the popup at the center of the polygon
                    map.popups[0].setContentHTML(popupInfo);
                    map.popups[0].updatePosition();
                    map.popups[0].show();
                });

                highlightLayer.events.register("featureunselected", map, function (e) {
                    var map = this;
                    map.popups[0].hide();
                });
            }
        }
    </script>
</head>
<body>
    <form id="form1" runat="server">
    <asp:ScriptManager ID="ScriptManager1" runat="server">
    </asp:ScriptManager>
    <cc1:Map ID="Map1" runat="server" Width="100%" Height="100%">
    </cc1:Map>
    </form>
</body>
</html>
